> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Skill List

> Endpoint to list all skills associated with the current tenant.
Note: Returns all skills (both active and disabled) and does not include the content field.

Returns:
    List[SkillListItem]: A list of all skill list items (without content).

Raises:
    HTTPException 500: If an error occurs while retrieving skills from the database.



## OpenAPI

````yaml get /api/skill
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/skill:
    get:
      tags:
        - Skill
      summary: Skill List
      description: >-
        Endpoint to list all skills associated with the current tenant.

        Note: Returns all skills (both active and disabled) and does not include
        the content field.


        Returns:
            List[SkillListItem]: A list of all skill list items (without content).

        Raises:
            HTTPException 500: If an error occurs while retrieving skills from the database.
      operationId: skill_list
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SkillListItem'
                type: array
                title: Response Skill List
      security:
        - BearerAuth: []
components:
  schemas:
    SkillListItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the skill
        name:
          type: string
          title: Name
          description: Name of the skill
        description:
          type: string
          title: Description
          description: Description of the skill
        license:
          type: string
          title: License
          description: License field
          default: ''
        compatibility:
          type: string
          title: Compatibility
          description: Compatibility field
          default: ''
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Metadata dict
          default: {}
        allowed_tools:
          type: string
          title: Allowed Tools
          description: Allowed-tools field
          default: ''
        status:
          type: string
          title: Status
          description: 'Status of the skill: active or disabled'
          default: active
        created_by:
          type: string
          title: Created By
          description: User who created the skill
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the skill was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the skill was last updated.
      type: object
      required:
        - id
        - name
        - description
        - created_by
        - created_at
        - updated_at
      title: SkillListItem
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````